<!-- Include header -->
{% include "header.html" %}

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>User Management</h1>
    </section>
    <!-- Main content -->
    <section class="content container-fluid">
       <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <form action="/editUser">
                            <input type="hidden" name="action" value="add">
                            <button type="submit" class="btn btn-primary" style="float:right;">Add User</button>
                        </form>
                    </div>
                    <table class="table table-bordered table-hover" id="item_table">
                        <thead><tr>
                            <th></th>
                            <th>First Name</th>
                            <th>Last Name</th>
                            <th>Email</th>
                            <th>Role</th>
                        </tr></thead>
                        <tbody>
                        {% for u in users %}
                        <tr>
                            <td style="min-width:8px;max-width:8px;">
                                <div class="btn-group">
                                    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                                        <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu">
                                        <li><a href="/editUser?action=edit&id={{ u['user_id'] }}">Edit</a></li>
                                        <li><a href="/editUser?action=delete&id={{ u['user_id'] }}&firstname={{ u['first_name'] }}&lastname={{ u['last_name'] }}">Delete</a></li>
                                    </ul>
                                </div>
                            </td>
                            <td>
                                {{ u['first_name'] }}
                            </td>
                            <td>
                                {{ u['last_name'] }}
                            </td>
                            <td>
                                {{ u['email'] }}
                            </td>
                            <td>
                                {{ u['role'] }}
                            </td>
                        </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div> <!-- /box  -->
            </div> <!-- /end col -->
        </div> <!-- /end row -->
    </section><!-- /.content -->
</div><!-- /.content-wrapper -->

    
 
<!-- Page JavaScript/Jquery goes here -->
<script>

$(function () {
    $('#item_table').DataTable({
      'paging'      : true,
      'lengthChange': false,
      'searching'   : true,
      'ordering'    : true,
      'info'        : true,
      'autoWidth'   : false
    })
})

</script>


<!-- Include footer -->
{% include "footer.html" %}



